{% extends 'base.html' %}
{% load static %}
{% block title %}{{ object.activity }}{% endblock %}
{% block content %}
    <div class="row">
        <div class="col-3 text-center text-white" style="background-color:#052c65">
            <br>
            <br>
            <img src="{% static 'calendar_icon.png'%}" class="img-fluid" width="100" height="100">
            <br>
            <br>
            <h2>Calendar</h2>
            <h4 class="display-6" style="font-size:20px">Activity Details</h4>
            <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
            <p>© Jenica e-Sports</p>
        </div>
        <div class="col-9 text-center">
            <div class="row p-5 text-center" style="background-color:#e3e4e6">
                <h1 class="display-3" style="font-size:50px; color:#052c65">{{ object.activity }}</h1>
            </div>
            <br>
            <div class="row">
                <div class="col-5" style="text-align:right">
                    <h4 style="font-size:25px">Date and Time:</h4>
                    <h4 style="font-size:25px">Estimated Hours:</h4>
                </div>
                <div class="col-7" style="text-align:left">
                    <h5 class="display-3" style="font-size:25px">{{ object.formatted_date }}, {{ object.formatted_time }}</h5>
                    <h5 class="display-3" style="font-size:25px">{{ object.estimated_hours }}</h5>
                </div>
            </div>
            <br>
            <div class="row p-2" style="background-color:#e3e4e6">
                <h5 class="display-3" style="font-size:25px">{{ object.formatted_course }}</h5>
            </div>
            <br>
            <div class="row">
                <div class="col-5" style="text-align:right">
                    <h4 style="font-size:25px">Mode:</h4>
                    <h4 style="font-size:25px">Venue:</h4>
                </div>
                <div class="col-7" style="text-align:left">
                    <h5 class="display-3" style="font-size:25px">{{ object.location.mode }}</h5>
                    <h5 class="display-3" style="font-size:25px">{{ object.location.venue }}</h5>
                </div>
            </div>
            <br><br>
            <button type="button" class="btn" style="background-color:#e3e4e6">
                <a href="/calendar/events/{{object.pk}}/edit" class="link-dark">Edit Activity</a>
            </button> &nbsp; &nbsp; 
            <button type="button" class="btn" style="background-color:#052c65">
                <a href="/calendar/" class="link-light">Back to Calendar</a>
            </button>
        </div>
    </div>
{% endblock %}